Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 598203

Summary: NetworkManager: ifcfg-rh: error: Couldn't parse file '/etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8'
Product: [Fedora] Fedora Reporter: udo <udovdh>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dcbw, jklimes
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 14:09:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Ignore temp ifcfg- files with ';[a-fA-F0-9]{8}' suffix created by rpm none

Description udo 2010-05-31 18:11:43 UTC
Description of problem:
See messages below.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.0-6.git20100408.fc12.x86_64

How reproducible:
Don't know.

Steps to Reproduce:
1. Install Fedora 12, do `yum update` every now and then.
2.
3.
  
Actual results:
See below

Expected results:
No such confusion

Additional info:

May 30 11:25:33 surfplank2 yum: Updated: html2ps-1.0-0.4.b5.fc12.noarch
May 30 11:25:34 surfplank2 yum: Updated: preupgrade-1.1.7-1.fc12.noarch
May 30 11:25:36 surfplank2 yum: Updated: poppler-data-0.4.2-1.fc12.noarch
May 30 11:25:37 surfplank2 yum: Updated: sos-2.2-0.fc12.noarch
May 30 11:25:38 surfplank2 yum: Updated: logwatch-7.3.6-51.fc12.noarch
May 30 11:25:39 surfplank2 yum: Updated: perl-XML-NamespaceSupport-1.11-1.fc12.noarch
May 30 11:25:47 surfplank2 yum: Updated: tex-preview-11.86-2.fc12.noarch
May 30 11:25:57 surfplank2 yum: Updated: oxygen-icon-theme-4.4.3-1.fc12.noarch
May 30 11:25:58 surfplank2 yum: Updated: openssl-1.0.0-4.fc12.i686
May 30 11:26:00 surfplank2 yum: Updated: openssl-devel-1.0.0-4.fc12.x86_64
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8 ... 
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh:     error: Couldn't parse file '/etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8'
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8 ... 
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh:     error: Couldn't parse file '/etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8'
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8 ... 
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh:     error: Couldn't parse file '/etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8'
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8 ... 
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh:     error: Couldn't parse file '/etc/sysconfig/network-scripts/ifcfg-lo;4c022ea8'
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 30 11:26:02 surfplank2 NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 30 11:26:03 surfplank2 yum: Updated: initscripts-9.02.2-1.x86_64
May 30 11:26:04 surfplank2 kernel: udev: starting version 145
May 30 11:26:05 surfplank2 yum: Updated: udev-145-21.fc12.x86_64
May 30 11:26:05 surfplank2 yum: Updated: 1:quota-3.17-9.fc12.x86_64
May 30 11:26:06 surfplank2 yum: Updated: 12:dhclient-4.1.1-16.fc12.x86_64
May 30 11:26:08 surfplank2 yum: Updated: sane-backends-libs-1.0.21-1.fc12.x86_64

# ls /etc/sysconfig/network-scripts/ifcfg-lo*
/etc/sysconfig/network-scripts/ifcfg-lo

# cat /etc/sysconfig/network-scripts/ifcfg-lo*
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

Comment 1 Jirka Klimes 2010-06-01 10:07:38 UTC
It's caused by updating initscripts, which contains the ifcfg-lo file. The weird temporary files with the suffix of ;8hex_chars are created by rpm when installing packages.

NM watches the ifcfg- files and tries to read them.

Comment 2 Jirka Klimes 2010-06-01 10:26:38 UTC
Created attachment 418574 [details]
Ignore temp ifcfg- files with ';[a-fA-F0-9]{8}' suffix created by rpm

We are probably not able to force rpm to change the behaviour on this. So the patch ignores the files inside ifcfg-rh plugin.

Comment 3 Jirka Klimes 2010-11-02 11:21:06 UTC
Applied upstream:
6e067a9d2bd5d5fc7bae18828c3deb39689f9e88 (master)
4df6bd85780bf93fe06a06ab5078140ab6dac9f5 (NM_0_8)

Comment 4 Bug Zapper 2010-11-03 13:47:22 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-03 14:09:19 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 udo 2010-12-03 14:16:42 UTC
We proposed a fix and without it being clear that it worked we close the bug...